Subject: [v6ops] I-D Action: draft-ietf-v6ops-464xlat-04.txt

From: [email-masked]
Date: Sun, 24 Jun 2012 17:29:07 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
 This draft is a work item of the IPv6 Operations Working Group of the IETF.

	Title           : 464XLAT: Combination of Stateful and Stateless Translation
	Author(s)       : Masataka Mawatari
                          Masanobu Kawashima
                          Cameron Byrne
	Filename        : draft-ietf-v6ops-464xlat-04.txt
	Pages           : 18
	Date            : 2012-06-24

Abstract:
   This document describes an architecture (464XLAT) for providing
   limited IPv4 connectivity across an IPv6-only network by combining
   existing and well-known stateful protocol translation RFC 6146 in the
   core and stateless protocol translation RFC 6145 at the edge. 464XLAT
   is a simple and scalable technique to quickly deploy limited IPv4
   access service to IPv6-only edge networks without encapsulation.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-v6ops-464xlat

There's also a htmlized version available at:
http://tools.ietf.org/html/draft-ietf-v6ops-464xlat-04

A diff from previous version is available at:
http://tools.ietf.org/rfcdiff?url2=draft-ietf-v6ops-464xlat-04

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Masanobu Kawashima <[email-masked]>
Date: Mon, 25 Jun 2012 09:33:19 +0900

Hi all,

We have published draft-ietf-v6ops-464xlat-04.
Can we move forward to WGLC?

Changes are:

 - adding in the "Terminology" of CLAT that the CLAT does not
   comply with "Both IPv4-translatable IPv6 addresses and
   IPv4-converted IPv6 addresses SHOULD use the same prefix."
   that is described on Section 3.3 in RFC 6052.

 - splitting text of "using NAT44 and stateless XLATE on CLAT"
   and "using only stateless XLATE on CLAT" in the section of
   "IPv4/IPv6 Address Translation Chart" and "IPv6 Prefix
   Handling" instead of deleting the section of "Relationship
   between CLAT and NAT44"

 - adding the combination with BIH [RFC6535] in the section of
   "Introduction" and "Deployment Considerations".

 - adding explanations about the diagram in the section of
   "Network Architecture".

 - adding the section of "Appendix A.  Examples of IPv4/IPv6
   Address Translation".

 - deleting marketing and commercial phrases (JPIX trial service).

All comments are welcome.

Regards,
Masanobu

>_______________________________________________
>v6ops mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/v6ops

========================================
 NEC AccessTechnica, Ltd.               
 Product Development Department         
 Masanobu Kawashima                     
 [email-masked]               
 http://www.necat.co.jp/                
========================================

---

From: Rémi Després <[email-masked]>
Date: Mon, 25 Jun 2012 09:34:13 +0200

Hi, Masanobu-san,

I have to confirm, no surprise, that I object to its BCP status because:
- it proposes more than just a combination of existing RFCs
- it has close relationship with subjects discussed in Softwires such as MAP and 4rd, without serious examination of this relationship.

OTOH, I also confirm that I would be pleased to support it if its status is changed back to Informational (its original status) because:
- It deals with a subject not covered by existing RFCs
- It is based on ideas that have been, at least in part, tested in the field.
- Issues raised in the WG (other than the RFC status) have been dealt with.

Kind regards,
RD

---

From: Masanobu Kawashima <[email-masked]>
Date: Tue, 26 Jun 2012 23:53:28 +0900

Hi Remi,

I'm sorry for late reply.

464XLAT authors don't stick to the document category.
If the chairs request changing the category, we will follow
their opinion as we did before.

Regards,
Masanobu

>Le 2012-06-25 02:33, Masanobu Kawashima a rit :
>
>> 
>> Hi all,
>>

---

From: jouni korhonen <[email-masked]>
Date: Wed, 27 Jun 2012 01:23:45 +0300

Hi,

Just to point out that this revision did not address the
editorial comments I had that fixed e.g. some inconsistencies
with references, see
http://www.ietf.org/mail-archive/web/v6ops/current/msg13057.html

- Jouni

---

From: MAWATARI Masataka <[email-masked]>
Date: Wed, 27 Jun 2012 17:48:29 +0900

Dear Jouni-san,

Sorry for missing your helpful comments and thank you very much
for reminder.

We will add your comments into next version.

Kind Regards,
Masataka MAWATARI

* On Wed, 27 Jun 2012 01:23:45 +0300

---

From: Rémi Després <[email-masked]>
Date: Thu, 28 Jun 2012 16:22:18 +0200

> 464XLAT authors don't stick to the document category.

OK, thanks.

> their opinion as we did before.

The question is then, are the chairs opposed to the draft being published as experimental?
Hope they will be open, so that we finish this thread.

Regards,
RD